Update an existing inventory item

Updates an existing inventory item. Use the POST HTTP method to create an inventory item.

Note: This endpoint cannot be used to update an item's stock quantity. To create or update stock for an item, you must use the Update item stock endpoint.

Path Params
string
required

Merchant identifier.

string
required

Unique identifier of an item in the inventory.

Query Params
string

Additional information provided as an expanded response: [tags, categories, taxRates, modifierGroups, itemStock, options, ageRestricted]

Body Params
string

Unique identifier of the inventory item.

boolean
Defaults to false

Indicates whether the inventory item is hidden on the Register app.

boolean
Defaults to true

Indicates whether the inventory item is available for sale across all channels.

boolean
Defaults to false

Indicates whether the inventory item's availability is automatically or manually managed.
Values:
True - Item availability is automatically managed.
False - Item availability is manually managed.

itemGroup
object

Information regarding the item group.

options
array of objects

List of variants (options) available within an attribute. For example, an attribute of size can have small, medium, and large options.

options
string

Item name.

string

Alternate name of the item.

string

Item product code, such as Universal Product Code (UPC) or European Article Number (EAN).

string

Stock keeping unit (SKU).

int64

Price of the item. Use price type and merchant currency to determine the actual item price.
For non-VAT merchants who do not pay value-added tax, this field is exclusive of tax.
For VAT merchants, this field is inclusive of tax.
Format: Cents

string
enum

Price type, such as fixed, variable, or per unit price.

Allowed:
boolean
Defaults to true

Indicates whether or not to use the default tax rate.

string

Unit of measurement for the item, such as pound or meter.

integer

Cost of the item to a merchant as compared to the price payable by the customer, for example: wholesale versus retail price.

boolean
Defaults to false

Indicates whether this item is counted as revenue, for example: gift cards and donations are not counted as revenue.

boolean

Set to true to make the item age-restricted, or false to remove the restriction. If setting to true, ageRestrictedObj must also be provided.

ageRestrictedObj
object

Contains the details for the age restriction. Required when isAgeRestricted is set to true.

modifierGroups
array of objects
modifierGroups
categories
array of objects

Categories associated with the item.

categories
tags
array of objects

Tags associated with the item.

tags
canonical
object

Reference to the canonical category in an item inventory.

MenuItem
object

Details of menu items in an inventory.

integer

Time when the item was modified.

integer

Time when the item was deleted.

integer

Item price without value-added tax (VAT).
For non-VAT merchants, this field is not used.
For VAT merchants, this field is the base price of an item.

string

Hex code of the color assigned to the category and its items.
Format: #fff, #ffffff, or #ffffffff.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

Response

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json